Bug 168978 - gnome-volume-control hangs
gnome-volume-control hangs
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 15:45 EDT by John Ellson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-05 08:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2005-09-21 15:45:13 EDT
Description of problem:
/usr/bin/gnome-volume-control hangs without opening window.
Tail of strace shows it to be hanging on a socket read:

open("/etc/gnome-vfs-2.0/modules/mapping-modules.conf", O_RDONLY) = 10
fstat(10, {st_mode=S_IFREG|0644, st_size=151, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaadd58000
read(10, "#\n# Module configuration file fo"..., 4096) = 151
read(10, "", 4096)                      = 0
close(10)                               = 0
munmap(0x2aaaadd58000, 4096)            = 0
open("/etc/gnome-vfs-2.0/modules/theme-method.conf", O_RDONLY) = 10
fstat(10, {st_mode=S_IFREG|0644, st_size=25, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaadd58000
read(10, "themes: libtheme-method\n\n", 4096) = 25
read(10, "", 4096)                      = 0
close(10)                               = 0
munmap(0x2aaaadd58000, 4096)            = 0
open("/etc/gnome-vfs-2.0/modules/default-modules.conf", O_RDONLY) = 10
fstat(10, {st_mode=S_IFREG|0644, st_size=411, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaadd58000
read(10, "#\n# Module configuration file fo"..., 4096) = 411
read(10, "", 4096)                      = 0
close(10)                               = 0
munmap(0x2aaaadd58000, 4096)            = 0
rt_sigaction(SIGPIPE, {SIG_IGN}, {SIG_IGN}, 8) = 0
mkdir("/home/ellson/.gnome2", 0700)     = -1 EEXIST (File exists)
mkdir("/home/ellson/.gnome2_private", 0700) = -1 EEXIST (File exists)
stat("/home/ellson/.gnome2_private/", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
mkdir("/home/ellson/.gnome2/accels", 0700) = -1 EEXIST (File exists)
socket(PF_FILE, SOCK_STREAM, 0)         = 10
uname({sys="Linux", node="ontap.ellson.com", ...}) = 0
connect(10, {sa_family=AF_FILE, path="/tmp/.ICE-unix/3358"}, 21) = 0
fcntl(10, F_SETFD, FD_CLOEXEC)          = 0
write(10, "\0\1\0\0\0\0\0\0", 8)        = 8
read(10,


Version-Release number of selected component (if applicable):
gnome-media-2.12.0-1
kernel-2.6.13-1.1565_FC5


How reproducible:
100%

Steps to Reproduce:
1./usr/bin/gnome-volume-control
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bastien Nocera 2007-04-05 05:52:26 EDT
Not sure what it's trying to do there, could you please gather a backtrace of
the hang with gdb?
Comment 2 John Ellson 2007-04-05 07:17:54 EDT
This was from 2005.  I've not seen the bug recently.  You should probably close.
Comment 3 Bastien Nocera 2007-04-05 08:49:25 EDT
Didn't see that :)

Thanks.

Note You need to log in before you can comment on or make changes to this bug.